mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Security.ISecurityEncodable System.Security.ISecurityPolicyEncodable System.Runtime.InteropServices.ComVisible(true)

A consists of a set of granted permissions, and possible special attributes for the code group.

Policy statements are typically used as the return value of a operation on a .

Represents the statement of a describing the permissions and other information that apply to code with a particular set of evidence. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified .

  The with which to initialize the new instance.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified and attributes.

  The with which to initialize the new instance.
  A bitwise combination of the values.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyStatementAttribute To be added. To be added.

  Gets or sets the attributes of the policy statement.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  Use this property to get a text string of the attributes currently set for the .

  Gets a string representation of the attributes of the policy statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyStatement To be added

  Creates an equivalent copy of the current policy statement.

  A new copy of the with and identical to those of the current .

- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean ``

  For more information, see the method.

  Determines whether the specified object is equal to the current .

  true if the specified is equal to the current object; otherwise, false.

  The object to compare with the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Reconstructs a security object with a given state from an XML encoding.

  The XML encoding to use to reconstruct the security object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Reconstructs a security object with a given state from an XML encoding.

  The XML encoding to use to reconstruct the security object. The context for lookup of values.
- Method
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Int32

  The hash code for two instances of the same permission might be different, hence a hash code should not be used to compare two objects.

  Gets a hash code for the object that is suitable for use in hashing algorithms and data structures such as a hash table.

  A hash code for the current object.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.PermissionSet To be added. To be added.

  Gets or sets the of the policy statement.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement `` To be added

  Creates an XML encoding of the security object and its current state.

  An XML encoding of the security object, including any state information.

  The context for lookup of values.